Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 806514 - media-libs/oidn-1.3.0 - /.../catch.hpp: error: call to non-constexpr function long int sysconf(int)
Summary: media-libs/oidn-1.3.0 - /.../catch.hpp: error: call to non-constexpr function...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sebastian Parborg
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: glibc-2.34
  Show dependency tree
 
Reported: 2021-08-05 13:15 UTC by Toralf Förster
Modified: 2021-08-18 23:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.40 KB, text/plain)
2021-08-05 13:15 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,119.72 KB, text/plain)
2021-08-05 13:15 UTC, Toralf Förster
Details
environment (environment,120.91 KB, text/plain)
2021-08-05 13:15 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,21.69 KB, application/x-bzip)
2021-08-05 13:15 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,4.99 KB, application/x-bzip)
2021-08-05 13:15 UTC, Toralf Förster
Details
media-libs:oidn-1.3.0:20210805-102228.log (media-libs:oidn-1.3.0:20210805-102228.log,216.40 KB, text/plain)
2021-08-05 13:15 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,34.50 KB, application/x-bzip)
2021-08-05 13:16 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-08-05 13:15:51 UTC
                 from /var/tmp/portage/media-libs/oidn-1.3.0/work/oidn-1.3.0/apps/catch.hpp:8034,
                 from /var/tmp/portage/media-libs/oidn-1.3.0/work/oidn-1.3.0/apps/oidnTest.cpp:12:
/var/tmp/portage/media-libs/oidn-1.3.0/work/oidn-1.3.0/apps/catch.hpp:10822:58: error: call to non-‘constexpr’ function ‘long int sysconf(int)’
10822 |     static constexpr std::size_t sigStackSize = 32768 >= MINSIGSTKSZ ? 32768 : MINSIGSTKSZ;
      |                                                          ^~~~~~~~~~~
In file included from /usr/include/bits/sigstksz.h:24,
                 from /usr/include/signal.h:328,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-j3-20210804-131442

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.2.0 *
clang version 12.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.1
Python 3.9.6
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.54.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK JRE 8.292_p10 [openjdk-jre-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-jre-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4
  [1]   php7.3
  [2]   php7.4
  [3]   php8.0 *

  HEAD of ::gentoo
commit 7bfbf9f1ab9a5796df746511ab7c09dbcdb1c65a
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Thu Aug 5 09:50:37 2021 +0000

    2021-08-05 09:50:36 UTC

emerge -qpvO media-libs/oidn
[ebuild  N    ] media-libs/oidn-1.3.0  PYTHON_SINGLE_TARGET="python3_9 -python3_8"
Comment 1 Toralf Förster gentoo-dev 2021-08-05 13:15:52 UTC
Created attachment 730332 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-08-05 13:15:54 UTC
Created attachment 730335 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-08-05 13:15:55 UTC
Created attachment 730338 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-08-05 13:15:56 UTC
Created attachment 730341 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-08-05 13:15:57 UTC
Created attachment 730344 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-08-05 13:15:59 UTC
Created attachment 730347 [details]
media-libs:oidn-1.3.0:20210805-102228.log
Comment 7 Toralf Förster gentoo-dev 2021-08-05 13:16:00 UTC
Created attachment 730350 [details]
temp.tar.bz2
Comment 8 Sebastian Parborg 2021-08-05 14:51:12 UTC
This seems to have been fixed upstream already:
https://github.com/OpenImageDenoise/oidn/issues/106

Do you want to apply the patch to 1.3.0 or is it fine to wait for the oidn version bump?
Comment 9 Sam James archtester gentoo-dev Security 2021-08-05 18:13:45 UTC
(In reply to Sebastian Parborg from comment #8)
> This seems to have been fixed upstream already:
> https://github.com/OpenImageDenoise/oidn/issues/106
> 
> Do you want to apply the patch to 1.3.0 or is it fine to wait for the oidn
> version bump?

Do you know roughly when that'll be happening? Next.. month or so at the most? Ideally we'd just patch it tbh.
Comment 10 Sebastian Parborg 2021-08-09 14:50:35 UTC
(In reply to Sam James from comment #9)
> 
> Do you know roughly when that'll be happening? Next.. month or so at the
> most? Ideally we'd just patch it tbh.

Blender 3.0 (and the live ebuild) needs an updated version.
So I could create a pull request with an updated version this weekend or so.

I guess we should also path the older version still though. So I can do that as well.
Comment 11 Larry the Git Cow gentoo-dev 2021-08-18 23:34:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7e5a7189c28fd8f5ff298e6b6cab3791fbe5150

commit a7e5a7189c28fd8f5ff298e6b6cab3791fbe5150
Author:     Sebastian Parborg <darkdefende@gmail.com>
AuthorDate: 2021-08-15 12:13:11 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-18 23:34:19 +0000

    media-libs/oidn: Fix building with glibc-2.34
    
    Closes: https://bugs.gentoo.org/806514
    
    Signed-off-by: Sebastian Parborg <darkdefende@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 media-libs/oidn/Manifest          | 1 +
 media-libs/oidn/oidn-1.3.0.ebuild | 3 +++
 2 files changed, 4 insertions(+)